Merge subscriptions
POST
/merchants/{merchantCode}/devices/{deviceCode}/subscriptions/customers/{customerId}/mergeSubscriptions
const url = 'https://customer.shopgate.io/v1/merchants/example/devices/example/subscriptions/customers/example/mergeSubscriptions';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://customer.shopgate.io/v1/merchants/example/devices/example/subscriptions/customers/example/mergeSubscriptionsMerge subscriptions for device and customer
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
deviceCode
required
string
customerId
required
string
Responses
Section titled “Responses”Subscriptions were merged
Media typeapplication/json
Access denied
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}Merchant, Device or Customer not found
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}default
Section titled “default”Unexpected error
Media typeapplication/json
object
code
Machine readable error code
string
message
required
Human readable error code
string
Examplegenerated
{ "code": "example", "message": "example"}
